///\mainpage
/// This package aims at dealing with systems subject to smooth non-linear
/// equality constraints.
///
/// The main class hpp::constrained::ConfigProjector numerically projects an input
/// configuration onto the sub-manifold of the configuration space defined by a
/// set of non-linear constraints of type CjrlGikStateConstraint.
///
/// Two other classes derive from this latter:
///   \li hpp::constrained::ConfigExtendor extends a configuration toward another configuration by remaining on the constrained submanifold.
///   \li hpp::constrained::GoalConfigGenerator randomly samples the configuration space and projects each sample onto the submanifold defined by a goal task.
