// Copyright (C) 2011 by Sebastien Dalibard.
//
// This file is part of the hpp-constrained.
//
// hpp-constrained is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// hpp-constrained is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with hpp-constrained.  If not, see <http://www.gnu.org/licenses/>.

/**
 * \brief Forward declarations.
 */

#ifndef HPP_CONSTRAINED_FWD_HH
#define HPP_CONSTRAINED_FWD_HH

#include <KineoUtility/kitDefine.h>

namespace hpp {
  namespace constrained {
    class ConfigProjector;
    class ConfigExtendor;
    class ConfigOptimizer;
    class ConstraintSet;
    KIT_PREDEF_CLASS (ConfigShooter)
    KIT_PREDEF_CLASS (GoalConfigGenerator)
    KIT_PREDEF_CLASS (KwsConstraint)
  } //end of namespace constrained
} //end of namespace hpp


#endif //! HPP_CONSTRAINED_FWD_HH
